3 Replies Latest reply: Oct 15, 2012 8:29 PM by Limnos
datboypoyo Level 1 Level 1 (0 points)

i have an imac 24


iMac, Mac OS X (10.5.8)
  • roam Level 6 Level 6 (13,555 points)

    Possibly becuase the version of iTunes you want can't run on 10.5 Leopard.

  • BGreg Level 6 Level 6 (17,500 points)

    Your iMac 24 should be an Intel-based iMac, so you can upgrade to OS X 10.6.8 in order to install the latest iTunes 7.  You'll need to call your in-country online Apple store, which in the US is at 800-MY-APPLE, to order OS X 10.6. Once you install it and do Software Updates to bring it to 10.6.8, you can install iTunes 7.

  • Limnos Level 8 Level 8 (40,695 points)

    BGreg wrote:

    you can install iTunes 7.

    The OP can already run iTunes 7 with your present OSX 10.5.8, or even much earlier.  If it is iTunes 10.7 that the OP needs/wants to run, then the OP needs OSX 10.6.8 or higher.